LLVM: lldb::SBModuleSpec Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBModuleSpec Class Reference

`#include <SBModuleSpec.h>`

## Public Member Functions
| SBModuleSpec ()
| SBModuleSpec (const SBModuleSpec &rhs)
| ~SBModuleSpec ()
const SBModuleSpec & | operator= (const SBModuleSpec &rhs)
bool | IsValid () const
void | Clear ()
lldb::SBFileSpec | GetFileSpec ()
void | SetFileSpec (const lldb::SBFileSpec &fspec)
lldb::SBFileSpec | GetPlatformFileSpec ()
void | SetPlatformFileSpec (const lldb::SBFileSpec &fspec)
lldb::SBFileSpec | GetSymbolFileSpec ()
void | SetSymbolFileSpec (const lldb::SBFileSpec &fspec)
const char * | GetObjectName ()
void | SetObjectName (const char *name)
const char * | GetTriple ()
void | SetTriple (const char *triple)
const uint8_t * | GetUUIDBytes ()
size_t | GetUUIDLength ()
bool | SetUUIDBytes (const uint8_t *uuid, size_t uuid_len)
bool | GetDescription (lldb::SBStream &description)

## Friends
class | SBModuleSpecList
class | SBModule
class | SBTarget

## Detailed Description

Definition at line 18 of file SBModuleSpec.h.

## Constructor & Destructor Documentation

lldb::SBModuleSpec::SBModuleSpec | ( |  | ) |

lldb::SBModuleSpec::SBModuleSpec | ( | const SBModuleSpec & | rhs | ) |

lldb::SBModuleSpec::~SBModuleSpec | ( |  | ) |

## Member Function Documentation

void lldb::SBModuleSpec::Clear | ( |  | ) |

bool lldb::SBModuleSpec::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBFileSpec lldb::SBModuleSpec::GetFileSpec | ( |  | ) |

Get const accessor for the module file.

This function returns the file for the module on the host system that is running LLDB. This can differ from the path on the platform since we might be doing remote debugging.

Returns
  A const reference to the file specification object.

const char* lldb::SBModuleSpec::GetObjectName | ( |  | ) |

lldb::SBFileSpec lldb::SBModuleSpec::GetPlatformFileSpec | ( |  | ) |

Get accessor for the module platform file.

Platform file refers to the path of the module as it is known on the remote system on which it is being debugged. For local debugging this is always the same as Module::GetFileSpec(). But remote debugging might mention a file '/usr/lib/liba.dylib' which might be locally downloaded and cached. In this case the platform file could be something like: '/tmp/lldb/platform-cache/remote.host.computer/usr/lib/liba.dylib' The file could also be cached in a local developer kit directory.

Returns
  A const reference to the file specification object.

lldb::SBFileSpec lldb::SBModuleSpec::GetSymbolFileSpec | ( |  | ) |

const char* lldb::SBModuleSpec::GetTriple | ( |  | ) |

const uint8_t* lldb::SBModuleSpec::GetUUIDBytes | ( |  | ) |

size_t lldb::SBModuleSpec::GetUUIDLength | ( |  | ) |

bool lldb::SBModuleSpec::IsValid | ( |  | ) | const

const SBModuleSpec& lldb::SBModuleSpec::operator= | ( | const SBModuleSpec & | rhs | ) |

void lldb::SBModuleSpec::SetFileSpec | ( | const lldb::SBFileSpec & | fspec | ) |

void lldb::SBModuleSpec::SetObjectName | ( | const char * | name | ) |

void lldb::SBModuleSpec::SetPlatformFileSpec | ( | const lldb::SBFileSpec & | fspec | ) |

void lldb::SBModuleSpec::SetSymbolFileSpec | ( | const lldb::SBFileSpec & | fspec | ) |

void lldb::SBModuleSpec::SetTriple | ( | const char * | triple | ) |

bool lldb::SBModuleSpec::SetUUIDBytes | ( | const uint8_t * | uuid,
|  | size_t | uuid_len
| ) |  |

## Friends And Related Function Documentation

friend class SBModule
| friend

Definition at line 106 of file SBModuleSpec.h.

friend class SBModuleSpecList
| friend

Definition at line 105 of file SBModuleSpec.h.

friend class SBTarget
| friend

Definition at line 107 of file SBModuleSpec.h.

The documentation for this class was generated from the following file:

- SBModuleSpec.h